.\"                                      Hey, EMACS: -*- nroff -*-
.\" (C) Copyright 2020 Arun Kumar Pariyar <openarungeek@gmail.com>,
.\"
.TH "GIR-GENERATOR" "1" "2020-05-25" "Deepin"
.\" Please adjust this date whenever revising the manpage.
.\"
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(7)

.SH NAME
gir-generator \- Deepin's Golang Gir Generator

.SH SYNOPSIS
.B gir-generator
.RI [ FLAGS ]
.RI <dir>

.SH DESCRIPTION
This manual page documents briefly the
.B gir-generator
command as provided by
.B golang-gir-generator
package.
.PP
The binary program \fBgir-generator\fP is the static binding
code generator.
.PP
It read the GIRepository and template files from lib.in directory..

.SH OPTIONS
.TP
.B \-config <string>
Specify global config file
.TP
.B \-o <string>
Override output directory

.SH EXAMPLE
cd lib.in/gobject-2.0
.PP
gir-generator -o . gobject.go.in

.SH SEE ALSO
.PP
This program is further documented in the
.IR README.md
as provided with this debian package under
.IR /usr/share/doc/golang-gir-generator/
directory.

.SH AUTHOR
.PP
.B gir-generator
is written by Deepin Technology Co., Ltd.
.PP
This manual page was written by
.MT openarungeek@\:gmail.com
Arun Kumar Pariyar
.ME
for the Debian Project (but may be used by others).
